%define anolis_release 2

Name:           perl-URI
Version:        5.17
Release:        %{anolis_release}%{?dist}
Summary:        A Perl module implementing URI parsing and manipulation
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/URI
Source0:        https://cpan.metacpan.org/modules/by-module/URI/URI-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make coreutils
BuildRequires:  perl-interpreter perl-generators perl(Config)
BuildRequires:  perl(Carp) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Data::Dumper) perl(Cwd) perl(constant)
BuildRequires:  perl(integer) perl(MIME::Base64) >= 2 perl(Encode) perl(Exporter) >= 5.57
BuildRequires:  perl(parent) perl(overload) perl(Net::Domain) perl(Scalar::Util)
BuildRequires:  perl(warnings) perl(utf8) perl(strict)
# Test Suite
BuildRequires:  perl(File::Spec::Functions) perl(File::Spec) perl(File::Temp) perl(Storable)
BuildRequires:  perl(Test::Needs) perl(Test::Warnings) perl(Test::Fatal) perl(Test::More) >= 0.96
# Runtime
Requires:       perl(Encode) perl(Cwd) perl(Data::Dumper)
Requires:       perl(Net::Domain) perl(utf8) perl(MIME::Base64) >= 2

Obsoletes:      %{name}-tests < %{EVR}

%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396 (and
updated by RFC 2732).

%package doc
Summary:       Doc files for %{name}
Requires:      %{name} = %{EVR}
BuildArch:     noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1 -n URI-%{version}
chmod -c 644 uri-test

%build
perl Makefile.PL INSTALLDIRS=perl NO_PACKLIST=true NO_PERLLOCAL=true
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%{perl_privlib}/URI.pm
%{perl_privlib}/URI/
%{_mandir}/man3/URI.3*
%{_mandir}/man3/URI::Escape.3*
%{_mandir}/man3/URI::Heuristic.3*
%{_mandir}/man3/URI::QueryParam.3*
%{_mandir}/man3/URI::Split.3*
%{_mandir}/man3/URI::URL.3*
%{_mandir}/man3/URI::WithBase.3*
%{_mandir}/man3/URI::_punycode.3*
%{_mandir}/man3/URI::data.3*
%{_mandir}/man3/URI::file.3*
%{_mandir}/man3/URI::ldap.3*

%files doc
%doc uri-test
%doc README Changes CONTRIBUTING.md

%changelog
* Sat Apr 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 5.17-2
- Optimize the spec file

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.17-1
- update to 5.17

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.10-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.10-2
- rebuild with perl 5.36.0

* Mon Mar 14 2022 Renbo <rb01097748@alibaba-inc.com> - 5.10-1
- Init for Anolis OS 23
